<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 1.0.0

Copyright (C) 2006-2014  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smi.no-ip.org
 ****************************************************************************************/

/**********************************************/
/* Récupération agences en fonction code pays */
/**********************************************/

session_start();
sleep(1);
if (array_key_exists("pays", $_REQUEST)) {
    $tomorrow = 0; //60*60*24; // en nb de secondes
    header("Cache-Control: max-age=$tomorrow");
    print_plain();
} else {
    print "Usage : $_SERVER[PHP_SELF]?pays=un-code-pays";
}

/** Récupération de la liste des agences pour un pays donné **/

function print_plain()
{
    require_once("../lib/gettext/gettext.inc");

    header("Content-type: text/html; charset=UTF-8");
    $age = get_age($_REQUEST["pays"]);
    $result = [];
    $result[] = "*=" . _("---------- Toutes ----------");
    foreach ($age as $row) {
        $result[] = $row["age_code"] . "=" . $row["age_nom"] . " (" . $row["age_code"] . ")";
    }
    print implode(";", $result);
}

/**
 * @param $pays
 * @return array
 */
function get_age($pays)
{

    require_once("../lib/gettext/gettext.inc");
    include_once("../inc/config.inc.php");
    include_once("../inc/func_txt.inc.php");
    include_once("../classes/ezSQL/shared/ez_sql_core.php");
    include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
    include_once("../inc/func_sql.inc.php");

    // On se connecte a la base
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
    // On recupere les enregistrements
    $rech = "SELECT * FROM `" . TBAGE . "` WHERE age_codepays='" . $db->escape($pays) . "' AND age_ouvert='1' ORDER BY age_nom";
    $rows = $db->get_results($rech, ARRAY_A);
    // On cree le resultat
    $result = [];
    if ($rows) {
        foreach ($rows as $row) {
            $row = encode_str($row);
            $result[] = $row;
        }
    }
    $db->disconnect();
    return $result;
}

?>